Package: groovy.org.codenarc.rule.junit

## [Groovy] Class JUnitPublicFieldRule

- groovy.org.codenarc.rule.junit.JUnitPublicFieldRule

- Checks for public field on a JUnit test class. Ignores fields with the

  Rule:
    annotation.

    This rule ignores interfaces.

    This rule sets the default value of `applyToFilesMatching` to only match source code file paths ending in 'Test.groovy' or 'Tests.groovy'.
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToClassNames`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToClassNames

    - #### Class astVisitorClass

    - #### String name

    - #### int priority